CGAL 5.6.3 - Weights

Loading...
Searching...
No Matches
Functions
Shepard Weight
Weight Interface Reference » Analytic Weights

##

    #include <CGAL/Weights/shepard_weights.h>

This weight is computed as \(w = \frac{1}{d^a}\) with notations shown in the figure below and \(a\) any real number being the power parameter.

Here, the distance is computed between the points `p` and `q`.

Figure 106.1 Notation used for the Shepard weight.

Specializations

- For \(a = 1\), this weight is equal to the Inverse Distance Weight.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

Precondition
  d != 0

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::shepard_weight (const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &, const typename GeomTraits::Point_2 &q, const typename GeomTraits::FT a, const GeomTraits &traits)
| computes the Shepard weight in 2D using the points `p` and `q` and the power parameter `a`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::shepard_weight (const CGAL::Point_2< Kernel > &, const CGAL::Point_2< Kernel > &p^, const CGAL::Point_2< Kernel > &, const CGAL::Point_2< Kernel > &q, const typename Kernel::FT a={1})
| computes the Shepard weight in 2D using the points `p` and `q`, and the power parameter `a`
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::shepard_weight (const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &q, const typename GeomTraits::FT a, const GeomTraits &traits)
| computes the Shepard weight in 2D using the points `p` and `q` and the power parameter `a`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::shepard_weight (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const typename Kernel::FT a={1})
| computes the Shepard weight in 2D using the points `p` and `q`, and the power parameter `a`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::shepard_weight (const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &, const typename GeomTraits::Point_3 &q, const typename GeomTraits::FT a, const GeomTraits &traits)
| computes the Shepard weight in 3D using the points `p` and `q` and the power parameter `a`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::shepard_weight (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &, const typename Kernel::FT a={1})
| computes the Shepard weight in 3D using the points `p` and `q`, and the power parameter `a`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::shepard_weight (const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &q, const typename GeomTraits::FT a, const GeomTraits &traits)
| computes the Shepard weight in 3D using the points `p` and `q` and the power parameter `a`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::shepard_weight (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const typename Kernel::FT a={1})
| computes the Shepard weight in 3D using the points `p` and `q`, and the power parameter `a`.

## Function Documentation

## ◆ shepard_weight() [1/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::shepard_weight | ( | const CGAL::Point_2< Kernel > & | ,
|  | const CGAL::Point_2< Kernel > &p^ | ,
|  | const CGAL::Point_2< Kernel > & | ,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const typename Kernel::FT | a = `{1}`
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 2D using the points `p` and `q`, and the power parameter `a`

Template Parameters

  Kernel | a model of `Kernel`

## ◆ shepard_weight() [2/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::shepard_weight | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const typename Kernel::FT | a = `{1}`
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 2D using the points `p` and `q`, and the power parameter `a`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ shepard_weight() [3/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::shepard_weight | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | ,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | ,
|  | const typename Kernel::FT | a = `{1}`
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 3D using the points `p` and `q`, and the power parameter `a`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ shepard_weight() [4/8]

template<typename Kernel >

Kernel::FT CGAL::Weights::shepard_weight | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const typename Kernel::FT | a = `{1}`
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 3D using the points `p` and `q`, and the power parameter `a`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ shepard_weight() [5/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::shepard_weight | ( | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | ,
|  | const typename GeomTraits::Point_2 & | q,
|  | const typename GeomTraits::FT | a,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 2D using the points `p` and `q` and the power parameter `a`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

Examples
  Weights/weights.cpp.

## ◆ shepard_weight() [6/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::shepard_weight | ( | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | q,
|  | const typename GeomTraits::FT | a,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 2D using the points `p` and `q` and the power parameter `a`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ shepard_weight() [7/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::shepard_weight | ( | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | ,
|  | const typename GeomTraits::Point_3 & | q,
|  | const typename GeomTraits::FT | a,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 3D using the points `p` and `q` and the power parameter `a`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`

## ◆ shepard_weight() [8/8]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::shepard_weight | ( | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | q,
|  | const typename GeomTraits::FT | a,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/shepard_weights.h>`

computes the Shepard weight in 3D using the points `p` and `q` and the power parameter `a`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`